#ifndef MARS_MCameraCentralPix
#define MARS_MCameraCentralPix

#ifndef MARS_MParContainer
#include "MParContainer.h"
#endif

class MCameraCentralPix : public MParContainer
{
    friend class MReportCamera;

private:
    Bool_t fStatus; // Status of central pixel

public:
    MCameraCentralPix()
    {
        fName  = "MCameraCentralPix";
        fTitle = "Container storing information about the Camera Central Pixel";
    }

    Bool_t GetStatus() const     { return fStatus; }
    Bool_t GetStatusCPix() const { return fStatus; } // deprecated - for compatibility only

    ClassDef(MCameraCentralPix, 1) // Container storing information about the Central Pixel status
};

#endif
